%global pkg_name X11-xft

%global common_summary Haskell bindings to the Xft library

%global common_description Haskell bindings to Xft, X Free Type interface library,\
and some Xrender parts.

%global ghc_pkg_deps ghc-X11-devel ghc-utf8-string-devel

%global ghc_pkg_c_deps libXft-devel

%bcond_without shared

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.3
Release:        8%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://hackage.haskell.org/cgi-bin/hackage-scripts/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-rpm-macros >= 0.5.1
BuildRequires:  ghc-doc
BuildRequires:  ghc-prof
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%cabal_configure --ghc -p
%cabal build
%cabal haddock


%install
%cabal_install
%cabal_pkg_conf

%ghc_gen_filelists


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Apr 27 2010 Jens Petersen <petersen@redhat.com> - 0.3-8
- condition ghc_lib_package
- depend on utf8-string again

* Fri Jan 15 2010 Jens Petersen <petersen@redhat.com> - 0.3-7
- drop ghc-utf8-string-devel dependency: utf8-string is part of ghc!

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 0.3-6
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common summary and common_description
- use ghc_lib_package, ghc_pkg_deps, ghc_pkg_c_deps

* Wed Dec 23 2009 Jens Petersen <petersen@redhat.com> - 0.3-5
- update packaging for ghc-6.12.1
- added shared library support: needs ghc-rpm-macros 0.3.1
- rebuild for ghc-X11-1.5.0.0

* Mon Nov 16 2009 Jens Petersen <petersen@redhat.com> - 0.3-4
- rebuild for ghc-X11-1.4.6.1
- use %%ghc_pkg_ver for lib dep requires

* Wed Aug 26 2009 Jens Petersen <petersen@redhat.com> - 0.3-3
- fix up devel, doc and prof deps

* Tue Aug 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.3-2
- Fixed description of -doc to pass rpmlint

* Tue Aug 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.3-1
- Updated to version 0.3
- Added ghc-utf8-string-prof as build requirement
- Added ghc-utf8-string-doc as build requirement
- Added ghc-X11-prof as build requirement
- Added ghc-X11-doc as build requirement

* Mon Jul 14 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-4
- Added ghc-utf8-string-devel as build requirment
- Added ghc-X11-devel as build requirment

* Thu Jun 18 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-3
- Fixed License

* Fri Jun  5 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-2
- Updated to new cabal2spec

* Fri May 29 2009 Zachary Oglesby <zoglesby@fedoraproject.org> - 0.2-1
- initial packaging for Fedora created by cabal2spec
